<< marcumq | FOSSEE_Signal_Processing_Toolbox | mexihat >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > medfilt1

# medfilt1

1D median filtering

### Syntax

    y = medfilt1(x)
    y = medfilt1(x, n)
    y = medfilt1(x, n, dim)
    y = medfitl1(__, nanflag, padding)

### Description

y = medfilt1(x) Applies a 3rd order 1-dimensional median filter to input x along the first non-zero dimension. The function appropriately pads the signal with zeros at the endings. For a segment, a median is calculated as the middle value (average of two middle values) for odd number number (even number) of data points. y = medfilt1(x,n) Applies a nth order 1-dimensional median filter. y = medfilt1(x,n,dim) Applies the median filter along the n-th dimension y = medfilt1(__, nanflag, padding) nanflag specifies how NaN values are treated. padding specifies the type of filtering to be performed at the signal edges.

### Parameters

x:

  int | double

n:

  positive integer scalar

dim:

  positive integer scalar

nanflag:

  'includenan' (default) | 'omitnan'

* includenan:

  Filtering such that the median of any segment

* omitnan:

  Filtering with NaNs omitted in each segment. If a segment

y:

  int | double

### Examples

    // Noise supression using 10th order (n =10) median filtering
    //Generate a sinusoidal signal sampled for 1 second at 100 Hz. Add a higher-frequency sinusoid to simulate noise.
    fs = 100
    t = 0:1/fs:1;
    x = sin(2*%pi*t*3)+0.25*sin(2*%pi*t*40);

    //Use a 10th-order median filter to smooth the signal. Plot the result.
    y = medfilt1(x,10);
    plot(t,x,t,y)
    legend('Original','Filtered');

### See also

- | hampel | median | sgolayfilt

### Authors

- Ayush Baid

Report an issue
<< marcumq | FOSSEE_Signal_Processing_Toolbox | mexihat >>